AOZ Studio Beta - Bug #907

Linux : Execute using AOZ Viewer crash
08/08/2022 02:19 PM - Baptiste Pillot

Status: Closed Start date: 08/08/2022
Priority: Normal Due date:

Assignee: Baptiste Pillot % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 1.0.0 (B17)

Affected version: 1.0.0 (B16) u25

Description

Crash when | execute using AOZ Viewer, or the AOZ Direct Mode :

crash.png

History

#1 - 08/08/2022 02:20 PM - Baptiste Pillot

- Subject changed from Linux : Execute using AOZ Viewer crash to Linux : Execute using AOZ Viewer crash (B16u25)

#2 - 08/08/2022 02:21 PM - Baptiste Pillot

- Description updated

#3 - 10/12/2022 10:43 AM - Baptiste Pillot
- Subject changed from Linux : Execute using AOZ Viewer crash (B16u25) to Linux : Execute using AOZ Viewer crash

- Affected version set to 1.0.0 (B16) u25

#4 - 10/19/2022 09:35 AM - Baptiste Pillot

- Description updated

#5 - 10/19/2022 11:39 AM - Baptiste Pillot

Testé ce matin sous un Mint 20 "tout neuf": 1a ¢a fonctionne bien.
Le probléme survient sur mon Mint 21. Je vais tester avec un nouveau compte utilisateur, pour voir si c'est de la que ¢a peut venir...

#6 - 10/19/2022 03:29 PM - Baptiste Pillot

Testé cette aprés-midi sur Mint 21 "tout neuf" dans une VM.

e [X] Lancement en mode AOZ Viewer : ¢ga marche correctement. Il doit donc y avoir quelque chose sur mon PC qui cloche, sans poser probléme
ici.

¢ [ ] Mode direct : I'application se lance en AOZ Viewer, mais je ne vois pas la ligne de commande ou je peux taper en "mode direct".
Comparativement, sous Windows, le mode direct ne veut pas se lancer avec un "disponible prochainement".

e [ ] Par contre en lancement en AOZ Viewer sous Linux, quand ¢a marche, je n'ai pas les petits boutons qui sont présents sous Windows : Stop
program, Reload the program, Toggle the screen orientation, Toggle Fullscreen, Javascript console, AOZ Debugger.

#7 - 10/19/2022 04:27 PM - Baptiste Pillot

Du neuf aprés avoir manipulé et testé ¢a un peu dans tous les sens :

® Aprés suppression du dossier et réinstallation le AOZ Viewer veut bien remarcher. Mais au bout de quelques lancements, ou si je met ma
fenétre en plein écran, ou si je I'agrandis... enfin je ne sais pas trop aprés quoi, mais il suffit de bouger un truc pour que ¢a ne marche plus...
plus moyen on revient a la fenétre blanche.

e J'arrive a obtenir que AOZ Viewer fonctionne de nouveau en supprimant le contenu de ~/AOZ_Studio/AOZ_Studio/electronUserData. Attention,
je dois garder ce dossier (vidé), sinon ¢a ne remarche plus ! Du coup je dois réguliérement purger ce dossier (et relancer AOZ Studio) pour avoir
de nouveau le AOZ Viewer opérationnel.

e Apres différents essais, je peux obtenir que AOZ Viewer fonctionne de nouveau en supprimant uniquement le fichier
~/AOZ_Studio/AOZ_Studio/electronUserData/Cookies et en relancant AOZ Studio.
#8 - 10/19/2022 06:11 PM - Baptiste Pillot
- Status changed from New to Resolved
- Assignee set to Baptiste Pillot

- Target version set to 1.0.0 (B17)

Soumis un patch aujourd'hui.

Si je met dans aoz-viewer.js le this.win.loadURL() dans un setTimeOut(), méme sans délai, ca permet de retarder trés Iégerement I'appel de I'URL, ce
qui suffit a ce que ¢a soit fait aprés que le serveur web local utilisé par le AOZ Viewer soit lancé (méme si je ne sais pas ol dans le code ce dernier
se lance, toutefois).

En tous cas avec ce setTimeOut je n'arrive plus du tout a reproduire le cas, qui arrivait systématiquement avant.

Je pense qu'il y avait une quasi simultanéité de lancement du serveur local et de I'appel a I'URL sur le serveur local. Si 'URL était appelée plus
rapidement que le serveur se langait, ¢ca plantait I'erreur. Mon setTimeOut() a remis les choses dans l'ordre.

La présence ou I'absence du fichier Cookies devait accélérer (pas de fichier) ou ralentir (fichier présent) le démarrage du serveur web, et permettre
qu'il soit disponible - ou non - avant I'appel de I'URL cliente, voila tout.

Le fait que le code de aoz-viewer.js soit déja pourri de pleins de setTimeOut fantaisistes par-ci par la me conforte dans cette idée que c'est une
solution conforme a la maniére de résoudre ce type de probléme. Le mieux aurait été de vérifier que le serveur est bien a I'écoute avant de lancer le
loadURL, quitte a reporter de nouveau avec un autre setTimeOut, mais si on a une fiabilité suffisante juste en mettant la chose dans I'ordre comme
j'ai fait ici, inutile de rajouter du code pour un cas qui n'arrivera jamais. Toutefois si le cas se reproduit, ce sera la solution : vérifier si le serveur
écoute, et sinon relancer. Un simple try catch retry later pourra suffire.

#9 - 11/17/2022 03:40 PM - Baptiste Pillot

- Status changed from Resolved to Closed
